Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Interface Paint

All Superinterfaces:
  Transparency

All Known Implementing Classes:
  Color, ColorUIResource, GradientPaint, SystemColor, TexturePaint

    public interface Paint

extends Transparency

This `Paint` interface defines how color patterns can be generated for `Graphics2D` operations. A class implementing the `Paint` interface is added to the `Graphics2D` context in order to define the color pattern used by the `draw` and `fill` methods.

Instances of classes implementing `Paint` must be read-only because the `Graphics2D` does not clone these objects when they are set as an attribute with the `setPaint` method or when the `Graphics2D` object is itself cloned.

See Also:
  `PaintContext`, `Color`, `GradientPaint`, `TexturePaint`, `Graphics2D.setPaint(java.awt.Paint)`

Field Summary

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Method Summary
`PaintContext` | `createContext(ColorModel cm, Rectangle deviceBounds, Rectangle2D userBounds, AffineTransform xform, RenderingHints hints)` Creates and returns a `PaintContext` used to generate the color pattern.

Methods inherited from interface java.awt.Transparency
`getTransparency`

Method Detail

### createContext

    PaintContext createContext(ColorModel cm,
                               Rectangle deviceBounds,
                               Rectangle2D userBounds,
                               AffineTransform xform,
                               RenderingHints hints)

  Creates and returns a `PaintContext` used to generate the color pattern. Since the ColorModel argument to createContext is only a hint, implementations of Paint should accept a null argument for ColorModel. Note that if the application does not prefer a specific ColorModel, the null ColorModel argument will give the Paint implementation full leeway in using the most efficient ColorModel it prefers for its raster processing.

  Since the API documentation was not specific about this in releases before 1.4, there may be implementations of `Paint` that do not accept a null `ColorModel` argument. If a developer is writing code which passes a null `ColorModel` argument to the `createContext` method of `Paint` objects from arbitrary sources it would be wise to code defensively by manufacturing a non-null `ColorModel` for those objects which throw a `NullPointerException`.

  Parameters:
    `cm` - the `ColorModel` that receives the `Paint` data. This is used only as a hint.
    `deviceBounds` - the device space bounding box of the graphics primitive being rendered
    `userBounds` - the user space bounding box of the graphics primitive being rendered
    `xform` - the `AffineTransform` from user space into device space
    `hints` - the hint that the context object uses to choose between rendering alternatives
  Returns:
    the `PaintContext` for generating color patterns
  See Also:
    `PaintContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.